import { IsNotEmpty, IsObject, IsOptional, IsString } from 'class-validator';
import { GroupContact } from '../entities/GroupContact';

export abstract class CreateRunnerGroup {
    /**
     * The group's name.
     */
    @IsNotEmpty()
    @IsString()
    name: string;

    /**
     * The group's contact.
     * Optional
     */
    @IsObject()
    @IsOptional()
    contact?: GroupContact;

    /**
     * Deals with the contact for groups this.
     */
    public async getContact(): Promise<GroupContact> {
        let newGroupContact: GroupContact;

        //TODO:

        return newGroupContact;
    }
}